Package net.sourceforge.jiu.apps

# Class Switch

java.lang.Object
net.sourceforge.jiu.apps.Switch

Direct Known Subclasses:
  `BMPSwitch`, `DestinationDirectorySwitch`, `NoAwtLoadingSwitch`, `OverwriteSwitch`, `PalmSwitch`, `PNMSwitch`, `PrintHelpSwitch`, `PrintVersionSwitch`, `QuietSwitch`, `TestSwitch`, `VerbositySwitch`

abstract class Switch extends Object

## Constructor Summary

Constructors
Constructor
Description
`Switch()`

## Method Summary

Modifier and Type
Method
Description
`(package private) void`
`check(JiuConvertSettings settings)`
`(package private) abstract String`
`getDescription()`
`(package private) int`
`getMinParameters()`
`(package private) String`
`getParameters()`
`(package private) abstract String[]`
`getValues()`
`(package private) abstract int`
`init(String[] args, int index, JiuConvertSettings settings)`
`(package private) void`
`setDefaults(JiuConvertSettings settings)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Switch

Switch()

## Method Details

### check

void check(JiuConvertSettings settings)

### getDescription

abstract String getDescription()

### getMinParameters

int getMinParameters()

### getParameters

String getParameters()

### getValues

abstract String[] getValues()

### init

abstract int init(String[] args, int index, JiuConvertSettings settings)

### setDefaults

void setDefaults(JiuConvertSettings settings)